# Uses of Enum Class
org.bukkit.entity.Pose

Packages that use Pose
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Pose in org.bukkit.entity

Methods in org.bukkit.entity that return Pose
Modifier and Type
Method
Description
`@NotNull Pose`
Entity.`getPose()`
Gets the entity's current pose.
`static Pose`
Pose.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Pose[]`
Pose.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Pose in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Pose
Modifier and Type
Method
Description
`@NotNull Pose`
EntityPoseChangeEvent.`getPose()`
Gets the entity's new pose.
Constructors in org.bukkit.event.entity with parameters of type Pose
Modifier
Constructor
Description
``
`EntityPoseChangeEvent(@NotNull Entity who, @NotNull Pose pose)`